import { h, getAssetPath } from "@stencil/core";
export class Icon {
    constructor() {
        this.name = 'hexagon';
    }
    get xlinkHref() {
        return getAssetPath('./icons/nimiq-style.icons.svg') + `#nq-${this.name}`;
    }
    render() {
        return (h("svg", { class: "nim-icon" },
            h("use", { xlinkHref: this.xlinkHref })));
    }
    static get is() { return "nim-icon"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() { return {
        "$": ["icon.css"]
    }; }
    static get styleUrls() { return {
        "$": ["icon.css"]
    }; }
    static get assetsDirs() { return ["icons"]; }
    static get properties() { return {
        "name": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "name",
            "reflect": false,
            "defaultValue": "'hexagon'"
        }
    }; }
}
