import { r as registerInstance, d as getAssetPath, h } from './core-7745eeb1.js';

const Icon = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.name = 'hexagon';
    }
    get xlinkHref() {
        return getAssetPath('./icons/nimiq-style.icons.svg') + `#nq-${this.name}`;
    }
    render() {
        return (h("svg", { class: "nim-icon" }, h("use", { xlinkHref: this.xlinkHref })));
    }
    static get assetsDirs() { return ["icons"]; }
    static get style() { return ":host {\n  display: inline-block;\n}\n\nsvg.nim-icon {\n  width: 100%;\n  height: 100%;\n}"; }
};

export { Icon as nim_icon };
